org.springframework.batch.core.listener

## Class StepListenerFactoryBean

- java.lang.Object
- - org.springframework.batch.core.listener.AbstractListenerFactoryBean<StepListener>
  - - org.springframework.batch.core.listener.StepListenerFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<java.lang.Object>, org.springframework.beans.factory.InitializingBean
  Direct Known Subclasses:
    JsrStepListenerFactoryBean

      public class StepListenerFactoryBean
      extends AbstractListenerFactoryBean<StepListener>

  This `AbstractListenerFactoryBean` implementation is used to create a `StepListener`.
  Since:
    2.0
  Author:
    Lucas Ward, Dan Garrette
  See Also:
    `AbstractListenerFactoryBean`, `StepListenerMetaData`

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepListenerFactoryBean()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class<?>` | `getDefaultListenerClass()`
    `static StepListener` | `getListener(java.lang.Object delegate)` Convenience method to wrap any object and expose the appropriate `StepListener` interfaces.
    `protected ListenerMetaData` | `getMetaDataFromPropertyName(java.lang.String propertyName)`
    `protected ListenerMetaData[]` | `getMetaDataValues()`
    `java.lang.Class<StepListener>` | `getObjectType()`
    `static boolean` | `isListener(java.lang.Object delegate)` Convenience method to check whether the given object is or can be made into a `StepListener`.

    - ### Methods inherited from class org.springframework.batch.core.listener.AbstractListenerFactoryBean

      `afterPropertiesSet, getMethodInvokerByName, getObject, isListener, isSingleton, setDelegate, setMetaDataMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepListenerFactoryBean

          public StepListenerFactoryBean()

  - ### Method Detail

    - #### getMetaDataFromPropertyName

          protected ListenerMetaData getMetaDataFromPropertyName(java.lang.String propertyName)

      Specified by:
        `getMetaDataFromPropertyName` in class `AbstractListenerFactoryBean<StepListener>`

    - #### getMetaDataValues

          protected ListenerMetaData[] getMetaDataValues()

      Specified by:
        `getMetaDataValues` in class `AbstractListenerFactoryBean<StepListener>`

    - #### getDefaultListenerClass

          protected java.lang.Class<?> getDefaultListenerClass()

      Specified by:
        `getDefaultListenerClass` in class `AbstractListenerFactoryBean<StepListener>`

    - #### getObjectType

          public java.lang.Class<StepListener> getObjectType()

    - #### getListener

          public static StepListener getListener(java.lang.Object delegate)

      Convenience method to wrap any object and expose the appropriate `StepListener` interfaces.
      Parameters:
        `delegate` - a delegate object
      Returns:
        a StepListener instance constructed from the delegate

    - #### isListener

          public static boolean isListener(java.lang.Object delegate)

      Convenience method to check whether the given object is or can be made into a `StepListener`.
      Parameters:
        `delegate` - the object to check
      Returns:
        true if the delegate is an instance of any of the `StepListener` interfaces, or contains the marker annotations